Bug 845724 - Problem with installation of docbook-style-xsl
Problem with installation of docbook-style-xsl
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: docbook-style-xsl (Show other bugs)
17
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-04 04:43 EDT by Nikolai Iorgov
Modified: 2012-08-20 07:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-10 08:13:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nikolai Iorgov 2012-08-04 04:43:56 EDT
Description of problem:
I have problem with installation docbook-style-xsl by yum:

....

Downloading Packages:
docbook-style-xsl-1.76.1-5.fc17.noarch.rpm               | 2.3 MB     00:03     
Running Transaction Check
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : docbook-style-xsl-1.76.1-5.fc17.noarch                       1/1 
Error unpacking rpm package docbook-style-xsl-1.76.1-5.fc17.noarch
error: unpacking of archive failed on file /usr/share/sgml/docbook/xsl-stylesheets-1.76.1/common/bn_in.xml: cpio: rename

Version-Release number of selected component (if applicable):

docbook-style-xsl.noarch 0:1.76.1-5.fc17

How reproducible:

every time

Steps to Reproduce:
1. yum install docbook-style-xsl
2.
3.
  
Actual results:


Expected results:


Additional info:

In fact I had a problem with docbook-style-xsl when I was upgrading from Fedora 16 to Fedora 17. Upgrading was stopped at this file and I tried to solve the problem manually (I do not remember details, maybe it was something like rpm --nodeps). Finally I upgraded to F17 with some problems with duplicates left. At present time I do not have 'docbook-style-xsl' at all.

Now 'docbook-style-xsl' is required when I try to update 'kdelibs'.
Comment 1 Ondrej Vasik 2012-08-05 17:06:39 EDT
You mentioned manual dependency solving with --nodeps or some other hacks - this is maybe the culprit, as it sounds you have system in improper state. Are you able to reproduce it on some other system, where the updates were properly done via preupgrade package?

From your description I don't think that the issue is caused by the docbook-style-xsl package itself...
Comment 2 Nikolai Iorgov 2012-08-06 02:16:35 EDT
I have only one computer with one Linux system installed.

When I was preupgrading from F16 to F17, I already had the problem with installation of docbook-style-xsl (after first restarting of the system for installation of the packages). Initially I thought that the problem was with the corrupted rpm-package and downloaded it manually. Then I restarted the system with the same problem with docbook-style-xsl. After this I tried to install the rpm-package manually using "Software Install" (right-click in Nautilus) and got a message that .rpm file is corrupted. Then I tried to use rpm in the terminal window. After some attempts I used --nodeps but I am not sure that it helped. Unfortunately I do not remember exactly (because it was already a deep night :) ) what was helping for the installation. Before this upgrading I never used --nodeps but the problem with installation of docbook-style-xsl was already existing. I understand of course that my attempts/"hacking" to finish upgrading were non-professional and may lead to current improper state of my system.

Since I do not understand the situation with docbook-style-xsl I can not decide where was a bug when I was upgrading from F16 to F17.

Could you give me an advice what to do in current situation?
Comment 3 Ondrej Vasik 2012-08-10 08:13:11 EDT
I would recommend filesystem check - similar issue http://forums.fedoraforum.org/showthread.php?t=274636 was fixed by filesystem check (and caused by corrupted filesystem). If this doesn't help, I think the only option is to make a backup of valuable data and make fresh install of system.

I'm closing this bugzilla NOTABUG, as there is nothing to be solved within the docbook-style-xsl package and you already have a bugzilla against yum - so there is no point to keep this one opened.
Comment 4 Nikolai Iorgov 2012-08-20 07:12:18 EDT
Thank you for your advice, but 

"init 1
umount /dev/mapper/VolGroup-lv_root
e2fsck -n -f -v /dev/mapper/VolGroup-lv_root"

DID NOT helped (that is, there were no errors).

From 
http://lists.opensuse.org/opensuse-bugs/2010-07/msg00240.html
I borrowed an idea to 

"rm -rf /usr/share/sgml/docbook/xsl-stylesheets-1.76.1"

After this 
"yum install docbook-style-xsl" 
install docbook-style-xsl without problems.

Unfortunately I do not understand is it satisfactory solution?
Or it will lead to future problems.
Comment 5 Ondrej Vasik 2012-08-20 07:40:54 EDT
Removing this directory and installing fresh new docbook-style-xsl package should be fine - as this package is the only one which should work with this directory. It seems that the directory was modified and/or with different user rights, so rpm was not able to change it during the update. I'm glad you solved your issue with the system.

Note You need to log in before you can comment on or make changes to this bug.